> ## Documentation Index
> Fetch the complete documentation index at: https://api-reference.hyperswitch.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Invalidate windows

> Invalidates the success rate calculation windows for a specific ID



## OpenAPI

````yaml post /success_rate.SuccessRateCalculator/InvalidateWindows
openapi: 3.0.0
info:
  title: Dynamic routing - OpenAPI 3.0
  description: This the the open API 3.0 specification for the dynamic routing.
  version: 1.0.0
servers: []
security: []
paths:
  /success_rate.SuccessRateCalculator/InvalidateWindows:
    post:
      tags:
        - Success Rate
      summary: Invalidate windows
      description: Invalidates the success rate calculation windows for a specific ID
      operationId: invalidateWindows
      parameters:
        - name: x-tenant-id
          in: header
          required: true
          schema:
            type: string
          example: public
        - name: x-profile-id
          in: header
          required: true
          schema:
            type: string
          example: pro_WX0giXQnzk2wQJjkKVBX
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
          example: dev_VLzQTxkPq3ALj2mlfiHL4mMtXca4uplOIOLaKEzmWAmNBXZjwsuv5bCLjnf0QYHm
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InvalidateWindowsRequest'
      responses:
        '200':
          description: Windows invalidated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidateWindowsResponse'
        '400':
          description: Invalid request parameters
        '500':
          description: Internal server error
components:
  schemas:
    InvalidateWindowsRequest:
      type: object
      properties:
        id:
          type: string
          example: merchant1
          description: Entity identifier for which to invalidate windows
      required:
        - id
    InvalidateWindowsResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - WINDOW_INVALIDATION_SUCCEEDED
            - WINDOW_INVALIDATION_FAILED
          description: Status of the window invalidation operation
      required:
        - status

````